<?php

namespace App\Models;
use Config\Database;

class Post
{
    private $db;

    public function __construct(){
        $this->db = Database::connect();
    }

    // all -> return all posts
    // get -> get post by id
    // create -> create new post
    // delete -> delete post by id

    public function all(){
        return $this->db->query("SELECT * FROM posts ORDER BY created_at DESC")->fetchAll();
    }

    public function get($id){
        $q = $this->db->prepare("SELECT * FROM posts WHERE id = ?");
        $q->execute([$id]);
        return $q->fetch();
    }

    public function create($title, $content){
    $q = $this->db->prepare("INSERT INTO posts (title, content) VALUES (?, ?)");
    return $q->execute([$title, $content]);
    }

    public function delete($id){
        $q = $this->db->prepare("DELETE FROM posts WHERE id = ?");
        return $q->execute([$id]);
    }
}